<?php
################################################################################################
# russian-language
# Russian localization
# Copyright (c) 2014 Sergey Ogarkov <sogarkov@gmail.com>
# GNU GPL v.3
################################################################################################

class ModelModuleRboseRussianLanguage extends Model {
    protected $affected = 0;

    protected $dict = array(
        'stock_status' => array(
           array('en' => 'Out Of Stock', 'ru' => 'Нет в наличии'),
           array('en' => 'Pre-Order',    'ru' => 'Предзаказ'),
           array('en' => 'In Stock',     'ru' => 'В наличии'),
           array('en' => '2-3 Days',     'ru' => 'Заказ 2-3 дня'),
        ),
        'order_status' => array(
           array('en' => 'Processing',  'ru' => 'Обрабатывается'),
           array('en' => 'Shipped',     'ru' => 'Доставлен'),
           array('en' => 'Canceled',    'ru' => 'Отменён'),
           array('en' => 'Complete',    'ru' => 'Исполнен'),
           array('en' => 'Denied',      'ru' => 'Отклонён'),
           array('en' => 'Canceled Reversal', 'ru' => 'Аннулирование отменено'),
           array('en' => 'Failed',      'ru' => 'Неудавшийся'),
           array('en' => 'Refunded',    'ru' => 'Возмещён'),
           array('en' => 'Reversed',    'ru' => 'Возвращён'),
           array('en' => 'Chargeback',  'ru' => 'Возвратный платеж'),
           array('en' => 'Pending',     'ru' => 'На рассмотрении'),
           array('en' => 'Voided',      'ru' => 'Аннулирован'),
           array('en' => 'Processed',   'ru' => 'Обработан'),
           array('en' => 'Expired',     'ru' => 'Просрочен'),
        ),
        'return_status' => array(
           array('en' => 'Pending',           'ru' => 'Рассмотривается'),
           array('en' => 'Complete',          'ru' => 'Завершено'),
           array('en' => 'Awaiting Products', 'ru' => 'Ожидание товаров'),
        ),
        'return_action' => array(
           array('en' => 'Refunded',          'ru' => 'Платёж возвращён'),
           array('en' => 'Credit Issued',     'ru' => 'Выдан кредит магазина'),
           array('en' => 'Replacement Sent',  'ru' => 'Выслана замена'),
        ),
        'return_reason' => array(
           array('en' => 'Dead On Arrival',               'ru' => 'Доставлен неисправным'),
           array('en' => 'Received Wrong Item',           'ru' => 'Прислан не тот товар'),
           array('en' => 'Order Error',                   'ru' => 'Ошибка заказа'),
           array('en' => 'Faulty, please supply details', 'ru' => 'Дефект, опишите подробности'),
           array('en' => 'Other, please supply details',  'ru' => 'Иное, опишите подробности'),
        ),
    );

    protected $country = array(
        array("en" => "Afghanistan","ru"=>"Афганистан"),
        array("en" => "Albania","ru"=>"Албания"),
        array("en" => "Algeria","ru"=>"Алжир"),
        array("en" => "American Samoa","ru"=>"Восточное Самоа"),
        array("en" => "Andorra","ru"=>"Андорра"),
        array("en" => "Angola","ru"=>"Ангола"),
        array("en" => "Anguilla","ru"=>"Ангилья"),
        array("en" => "Antarctica","ru"=>"Антарктида"),
        array("en" => "Antigua and Barbuda","ru"=>"Антигуа и Барбуда"),
        array("en" => "Argentina","ru"=>"Аргентина"),
        array("en" => "Armenia","ru"=>"Армения"),
        array("en" => "Aruba","ru"=>"Аруба"),
        array("en" => "Australia","ru"=>"Австралия"),
        array("en" => "Austria","ru"=>"Австрия"),
        array("en" => "Azerbaijan","ru"=>"Азербайджан"),
        array("en" => "Bahamas","ru"=>"Багамские острова"),
        array("en" => "Bahrain","ru"=>"Бахрейн"),
        array("en" => "Bangladesh","ru"=>"Бангладеш"),
        array("en" => "Barbados","ru"=>"Барбадос"),
        array("en" => "Belarus","ru"=>"Беларусь"),
        array("en" => "Belgium","ru"=>"Бельгия"),
        array("en" => "Belize","ru"=>"Белиз"),
        array("en" => "Benin","ru"=>"Бенин"),
        array("en" => "Bermuda","ru"=>"Бермудские острова"),
        array("en" => "Bhutan","ru"=>"Бутан"),
        array("en" => "Bolivia","ru"=>"Боливия"),
        array("en" => "Bosnia and Herzegovina","ru"=>"Босния и Герцеговина"),
        array("en" => "Botswana","ru"=>"Ботсвана"),
        array("en" => "Bouvet Island","ru"=>"Остров Буве"),
        array("en" => "Brazil","ru"=>"Бразилия"),
        array("en" => "British Indian Ocean Territory","ru"=>"Британская территория в Индийском океане"),
        array("en" => "Brunei Darussalam","ru"=>"Бруней"),
        array("en" => "Bulgaria","ru"=>"Болгария"),
        array("en" => "Burkina Faso","ru"=>"Буркина-Фасо"),
        array("en" => "Burundi","ru"=>"Бурунди"),
        array("en" => "Cambodia","ru"=>"Камбоджа"),
        array("en" => "Cameroon","ru"=>"Камерун"),
        array("en" => "Canada","ru"=>"Канада"),
        array("en" => "Cape Verde","ru"=>"Кабо-Верде"),
        array("en" => "Cayman Islands","ru"=>"Каймановы острова"),
        array("en" => "Central African Republic","ru"=>"Центрально-Африканская Республика"),
        array("en" => "Chad","ru"=>"Чад"),
        array("en" => "Chile","ru"=>"Чили"),
        array("en" => "China","ru"=>"Китайская Народная Республика"),
        array("en" => "Christmas Island","ru"=>"Остров Рождества"),
        array("en" => "Cocos (Keeling) Islands","ru"=>"Кокосовые острова"),
        array("en" => "Colombia","ru"=>"Колумбия"),
        array("en" => "Comoros","ru"=>"Коморские острова"),
        array("en" => "Congo","ru"=>"Конго"),
        array("en" => "Cook Islands","ru"=>"Острова Кука"),
        array("en" => "Costa Rica","ru"=>"Коста-Рика"),
        array("en" => "Cote D'Ivoire","ru"=>"Кот д'Ивуар"),
        array("en" => "Croatia","ru"=>"Хорватия"),
        array("en" => "Cuba","ru"=>"Куба"),
        array("en" => "Cyprus","ru"=>"Кипр"),
        array("en" => "Czech Republic","ru"=>"Чехия"),
        array("en" => "Denmark","ru"=>"Дания"),
        array("en" => "Djibouti","ru"=>"Джибути"),
        array("en" => "Dominica","ru"=>"Доминика"),
        array("en" => "Dominican Republic","ru"=>"Доминиканская Республика"),
        array("en" => "East Timor","ru"=>"Восточный Тимор"),
        array("en" => "Ecuador","ru"=>"Эквадор"),
        array("en" => "Egypt","ru"=>"Египет"),
        array("en" => "El Salvador","ru"=>"Сальвадор"),
        array("en" => "Equatorial Guinea","ru"=>"Экваториальная Гвинея"),
        array("en" => "Eritrea","ru"=>"Эритрея"),
        array("en" => "Estonia","ru"=>"Эстония"),
        array("en" => "Ethiopia","ru"=>"Эфиопия"),
        array("en" => "Falkland Islands (Malvinas)","ru"=>"Фолклендские (Мальвинские) острова"),
        array("en" => "Faroe Islands","ru"=>"Фарерские острова"),
        array("en" => "Fiji","ru"=>"Фиджи"),
        array("en" => "Finland","ru"=>"Финляндия"),
        array("en" => "France, Metropolitan","ru"=>"Франция"),
        array("en" => "French Guiana","ru"=>"Французская Гвиана"),
        array("en" => "French Polynesia","ru"=>"Французская Полинезия"),
        array("en" => "French Southern Territories","ru"=>"Французские Южные территории"),
        array("en" => "Gabon","ru"=>"Габон"),
        array("en" => "Gambia","ru"=>"Гамбия"),
        array("en" => "Georgia","ru"=>"Грузия"),
        array("en" => "Germany","ru"=>"Германия"),
        array("en" => "Ghana","ru"=>"Гана"),
        array("en" => "Gibraltar","ru"=>"Гибралтар"),
        array("en" => "Greece","ru"=>"Греция"),
        array("en" => "Greenland","ru"=>"Гренландия"),
        array("en" => "Grenada","ru"=>"Гренада"),
        array("en" => "Guadeloupe","ru"=>"Гваделупа"),
        array("en" => "Guam","ru"=>"Гуам"),
        array("en" => "Guatemala","ru"=>"Гватемала"),
        array("en" => "Guinea","ru"=>"Гвинея"),
        array("en" => "Guinea-Bissau","ru"=>"Гвинея-Бисау"),
        array("en" => "Guyana","ru"=>"Гайана"),
        array("en" => "Haiti","ru"=>"Гаити"),
        array("en" => "Heard and Mc Donald Islands","ru"=>"Херд и Макдональд, острова"),
        array("en" => "Honduras","ru"=>"Гондурас"),
        array("en" => "Hong Kong","ru"=>"Гонконг"),
        array("en" => "Hungary","ru"=>"Венгрия"),
        array("en" => "Iceland","ru"=>"Исландия"),
        array("en" => "India","ru"=>"Индия"),
        array("en" => "Indonesia","ru"=>"Индонезия"),
        array("en" => "Iran (Islamic Republic of)","ru"=>"Иран"),
        array("en" => "Iraq","ru"=>"Ирак"),
        array("en" => "Ireland","ru"=>"Ирландия"),
        array("en" => "Israel","ru"=>"Израиль"),
        array("en" => "Italy","ru"=>"Италия"),
        array("en" => "Jamaica","ru"=>"Ямайка"),
        array("en" => "Japan","ru"=>"Япония"),
        array("en" => "Jordan","ru"=>"Иордания"),
        array("en" => "Kazakhstan","ru"=>"Казахстан"),
        array("en" => "Kenya","ru"=>"Кения"),
        array("en" => "Kiribati","ru"=>"Кирибати"),
        array("en" => "North Korea","ru"=>"Северная Корея"),
        array("en" => "Korea, Republic of","ru"=>"Южная Корея"),
        array("en" => "Kuwait","ru"=>"Кувейт"),
        array("en" => "Kyrgyzstan","ru"=>"Кыргызстан"),
        array("en" => "Lao People's Democratic Republic","ru"=>"Лаос"),
        array("en" => "Latvia","ru"=>"Латвия"),
        array("en" => "Lebanon","ru"=>"Ливан"),
        array("en" => "Lesotho","ru"=>"Лесото"),
        array("en" => "Liberia","ru"=>"Либерия"),
        array("en" => "Libyan Arab Jamahiriya","ru"=>"Ливия"),
        array("en" => "Liechtenstein","ru"=>"Лихтенштейн"),
        array("en" => "Lithuania","ru"=>"Литва"),
        array("en" => "Luxembourg","ru"=>"Люксембург"),
        array("en" => "Macau","ru"=>"Макао"),
        array("en" => "FYROM","ru"=>"Македония"),
        array("en" => "Madagascar","ru"=>"Мадагаскар"),
        array("en" => "Malawi","ru"=>"Малави"),
        array("en" => "Malaysia","ru"=>"Малайзия"),
        array("en" => "Maldives","ru"=>"Мальдивы"),
        array("en" => "Mali","ru"=>"Мали"),
        array("en" => "Malta","ru"=>"Мальта"),
        array("en" => "Marshall Islands","ru"=>"Маршалловы острова"),
        array("en" => "Martinique","ru"=>"Мартиника"),
        array("en" => "Mauritania","ru"=>"Мавритания"),
        array("en" => "Mauritius","ru"=>"Маврикий"),
        array("en" => "Mayotte","ru"=>"Майотта"),
        array("en" => "Mexico","ru"=>"Мексика"),
        array("en" => "Micronesia, Federated States of","ru"=>"Микронезия"),
        array("en" => "Moldova, Republic of","ru"=>"Молдова"),
        array("en" => "Monaco","ru"=>"Монако"),
        array("en" => "Mongolia","ru"=>"Монголия"),
        array("en" => "Montserrat","ru"=>"Монтсеррат"),
        array("en" => "Morocco","ru"=>"Марокко"),
        array("en" => "Mozambique","ru"=>"Мозамбик"),
        array("en" => "Myanmar","ru"=>"Мьянма"),
        array("en" => "Namibia","ru"=>"Намибия"),
        array("en" => "Nauru","ru"=>"Науру"),
        array("en" => "Nepal","ru"=>"Непал"),
        array("en" => "Netherlands","ru"=>"Нидерланды"),
        array("en" => "Netherlands Antilles","ru"=>"Антильские (Нидерландские) острова"),
        array("en" => "New Caledonia","ru"=>"Новая Каледония"),
        array("en" => "New Zealand","ru"=>"Новая Зеландия"),
        array("en" => "Nicaragua","ru"=>"Никарагуа"),
        array("en" => "Niger","ru"=>"Нигер"),
        array("en" => "Nigeria","ru"=>"Нигерия"),
        array("en" => "Niue","ru"=>"Ниуэ"),
        array("en" => "Norfolk Island","ru"=>"Остров Норфолк"),
        array("en" => "Northern Mariana Islands","ru"=>"Северные Марианские острова"),
        array("en" => "Norway","ru"=>"Норвегия"),
        array("en" => "Oman","ru"=>"Оман"),
        array("en" => "Pakistan","ru"=>"Пакистан"),
        array("en" => "Palau","ru"=>"Палау"),
        array("en" => "Panama","ru"=>"Панама"),
        array("en" => "Papua New Guinea","ru"=>"Папуа - Новая Гвинея"),
        array("en" => "Paraguay","ru"=>"Парагвай"),
        array("en" => "Peru","ru"=>"Перу"),
        array("en" => "Philippines","ru"=>"Филиппины"),
        array("en" => "Pitcairn","ru"=>"Острова Питкэрн"),
        array("en" => "Poland","ru"=>"Польша"),
        array("en" => "Portugal","ru"=>"Португалия"),
        array("en" => "Puerto Rico","ru"=>"Пуэрто-Рико"),
        array("en" => "Qatar","ru"=>"Катар"),
        array("en" => "Reunion","ru"=>"Реюньон"),
        array("en" => "Romania","ru"=>"Румыния"),
        array("en" => "Russian Federation","ru"=>"Российская Федерация"),
        array("en" => "Rwanda","ru"=>"Руанда"),
        array("en" => "Saint Kitts and Nevis","ru"=>"Сент-Китс и Невис"),
        array("en" => "Saint Lucia","ru"=>"Сент-Люсия"),
        array("en" => "Saint Vincent and the Grenadines","ru"=>"Сент-Винсент и Гренадины"),
        array("en" => "Samoa","ru"=>"Западное Самоа"),
        array("en" => "San Marino","ru"=>"Сан-Марино"),
        array("en" => "Sao Tome and Principe","ru"=>"Сан-Томе и Принсипи"),
        array("en" => "Saudi Arabia","ru"=>"Саудовская Аравия"),
        array("en" => "Senegal","ru"=>"Сенегал"),
        array("en" => "Seychelles","ru"=>"Сейшельские острова"),
        array("en" => "Sierra Leone","ru"=>"Сьерра-Леоне"),
        array("en" => "Singapore","ru"=>"Сингапур"),
        array("en" => "Slovak Republic","ru"=>"Словакия"),
        array("en" => "Slovenia","ru"=>"Словения"),
        array("en" => "Solomon Islands","ru"=>"Соломоновы острова"),
        array("en" => "Somalia","ru"=>"Сомали"),
        array("en" => "South Africa","ru"=>"Южно-Африканская Республика"),
        array("en" => "South Georgia &amp; South Sandwich Islands","ru"=>"Южная Джорджия и Южные Сандвичевы острова"),
        array("en" => "Spain","ru"=>"Испания"),
        array("en" => "Sri Lanka","ru"=>"Шри-Ланка"),
        array("en" => "St. Helena","ru"=>"Остров Святой Елены"),
        array("en" => "St. Pierre and Miquelon","ru"=>"Сен-Пьер и Микелон"),
        array("en" => "Sudan","ru"=>"Судан"),
        array("en" => "Suriname","ru"=>"Суринам"),
        array("en" => "Svalbard and Jan Mayen Islands","ru"=>"Шпицберген и Ян Майен"),
        array("en" => "Swaziland","ru"=>"Свазиленд"),
        array("en" => "Sweden","ru"=>"Швеция"),
        array("en" => "Switzerland","ru"=>"Швейцария"),
        array("en" => "Syrian Arab Republic","ru"=>"Сирия"),
        array("en" => "Taiwan","ru"=>"Тайвань"),
        array("en" => "Tajikistan","ru"=>"Таджикистан"),
        array("en" => "Tanzania, United Republic of","ru"=>"Танзания"),
        array("en" => "Thailand","ru"=>"Таиланд"),
        array("en" => "Togo","ru"=>"Того"),
        array("en" => "Tokelau","ru"=>"Токелау"),
        array("en" => "Tonga","ru"=>"Тонга"),
        array("en" => "Trinidad and Tobago","ru"=>"Тринидад и Тобаго"),
        array("en" => "Tunisia","ru"=>"Тунис"),
        array("en" => "Turkey","ru"=>"Турция"),
        array("en" => "Turkmenistan","ru"=>"Туркменистан"),
        array("en" => "Turks and Caicos Islands","ru"=>"Острова Теркс и Кайкос"),
        array("en" => "Tuvalu","ru"=>"Тувалу"),
        array("en" => "Uganda","ru"=>"Уганда"),
        array("en" => "Ukraine","ru"=>"Украина"),
        array("en" => "United Arab Emirates","ru"=>"Объединенные Арабские Эмираты"),
        array("en" => "United Kingdom","ru"=>"Великобритания"),
        array("en" => "United States","ru"=>"Соединенные Штаты Америки"),
        array("en" => "United States Minor Outlying Islands","ru"=>"Мелкие отдаленные острова США"),
        array("en" => "Uruguay","ru"=>"Уругвай"),
        array("en" => "Uzbekistan","ru"=>"Узбекистан"),
        array("en" => "Vanuatu","ru"=>"Вануату"),
        array("en" => "Vatican City State (Holy See)","ru"=>"Ватикан"),
        array("en" => "Venezuela","ru"=>"Венесуэла"),
        array("en" => "Viet Nam","ru"=>"Вьетнам"),
        array("en" => "Virgin Islands (British)","ru"=>"Виргинские острова (Британские)"),
        array("en" => "Virgin Islands (U.S.)","ru"=>"Виргинские острова (США)"),
        array("en" => "Wallis and Futuna Islands","ru"=>"Уоллис и Футуна"),
        array("en" => "Western Sahara","ru"=>"Западная Сахара"),
        array("en" => "Yemen","ru"=>"Йемен"),
        array("en" => "Democratic Republic of Congo","ru"=>"Конго"),
        array("en" => "Zambia","ru"=>"Замбия"),
        array("en" => "Zimbabwe","ru"=>"Зимбабве"),
        array("en" => "Montenegro","ru"=>"Монтенегро"),
        array("en" => "Serbia","ru"=>"Сербия и Черногория"),
        array("en" => "Aaland Islands","ru"=>"Аландские острова"),
        array("en" => "Bonaire, Sint Eustatius and Saba","ru"=>"Карибские Нидерланды"),
        array("en" => "Curacao","ru"=>"Куракао"),
        array("en" => "Palestinian Territory, Occupied","ru"=>"Палестина"),
        array("en" => "South Sudan","ru"=>"Южный Судан"),
        array("en" => "St. Barthelemy","ru"=>"Сен-Бартелеми"),
        array("en" => "St. Martin (French part)","ru"=>"Сен-Мартин"),
        array("en" => "Canary Islands","ru"=>"Канарские острова"),
        array("en" => "Ascension Island (British)","ru"=>"Остров Вознесения (Британия)"),
        array("en" => "Kosovo, Republic of","ru"=>"Косово"),
        array("en" => "Isle of Man","ru"=>"Остров Мэн"),
        array("en" => "Tristan da Cunha","ru"=>"Тристан-да-Кунья (острова)"),
        array("en" => "Guernsey","ru"=>"Гернси"),
        array("en" => "Jersey","ru"=>"Джерси"),
    );

    protected $zone = array(
        20=>array(
            array('en' => 'Brestskaya (Brest)','ru'=>'Брестская'),
            array('en' => "Homyel'skaya (Homyel')",'ru'=>'Гомельская'),
            array('en' => 'Horad Minsk','ru'=>'Минск'),
            array('en' => 'Hrodzyenskaya (Hrodna)','ru'=>'Гродненская'),
            array('en' => 'Mahilyowskaya (Mahilyow)','ru'=>'Могилевская'),
            array('en' => 'Minskaya','ru'=>'Минская область'),
            array('en' => 'Vitsyebskaya (Vitsyebsk)','ru'=>'Витебская'),
        ),
        109=>array(
            array('en' => 'Almaty','ru'=>'Алматинская'),
            array('en' => 'Almaty City','ru'=>'Алматы'),
            array('en' => 'Aqmola','ru'=>'Акмолинская'),
            array('en' => 'Aqtobe','ru'=>'Актюбинская'),
            array('en' => 'Astana City','ru'=>'Астана'),
            array('en' => 'Atyrau','ru'=>'Атырауская'),
            array('en' => 'Batys Qazaqstan','ru'=>'Западно-Казахстанская'),
            array('en' => 'Bayqongyr City','ru'=>'Байконур'),
            array('en' => 'Mangghystau','ru'=>'Мангистауская'),
            array('en' => 'Ongtustik Qazaqstan','ru'=>'Южно-Казахстанская'),
            array('en' => 'Pavlodar','ru'=>'Павлодарская'),
            array('en' => 'Qaraghandy','ru'=>'Карагандинская'),
            array('en' => 'Qostanay','ru'=>'Костанайская'),
            array('en' => 'Qyzylorda','ru'=>'Кызылординская'),
            array('en' => 'Shyghys Qazaqstan','ru'=>'Восточно-Казахстанская'),
            array('en' => 'Soltustik Qazaqstan','ru'=>'Северо-Казахстанская'),
            array('en' => 'Zhambyl','ru'=>'Жамбылская'),
        ),
        // Пропущены
        // - Кировская область
        // - Сахалинская область
        176=>Array(
            array('en' => 'Abakan','ru'=>'Республика Хакасия'),
//            array('en'=>'Aginskoye','ru'=>''),
            array('en' => 'Anadyr','ru'=>'Чукотский АО'),
            array('en' => 'Arkahangelsk','ru'=>'Архангельская область'),
            array('en' => 'Astrakhan','ru'=>'Астраханская область'),
            array('en' => 'Barnaul','ru'=>'Алтайский край'),
            array('en' => 'Belgorod','ru'=>'Белгородская область'),
            array('en' => 'Birobidzhan','ru'=>'Еврейская АО'),
            array('en' => 'Blagoveshchensk','ru'=>'Амурская область'),
            array('en' => 'Bryansk','ru'=>'Брянская область'),
            array('en' => 'Cheboksary','ru'=>'Чувашская Республика'),
            array('en' => 'Chelyabinsk','ru'=>'Челябинская область'),
            array('en' => 'Cherkessk','ru'=>'Карачаево-Черкесская Республика'),
            array('en' => 'Chita','ru'=>'Забайкальский край'),
//            array('en'=>'Dudinka','ru'=>''),
            array('en' => 'Elista','ru'=>'Республика Калмыкия'),
//            array('en'=>'Gomo-Altaysk','ru'=>''),
            array('en' => 'Gorno-Altaysk','ru'=>'Республика Алтай'),
            array('en' => 'Groznyy','ru'=>'Чеченская Республика'),
            array('en' => 'Irkutsk','ru'=>'Иркутская область'),
            array('en' => 'Ivanovo','ru'=>'Ивановская область'),
            array('en' => 'Izhevsk','ru'=>'Удмуртская Республика'),
            array('en' => 'Kalinigrad','ru'=>'Калининградская область'),
            array('en' => 'Kaluga','ru'=>'Калужская область'),
//            array('en'=>'Kasnodar','ru'=>''),
            array('en' => 'Kazan','ru'=>'Республика Татарстан'),
            array('en' => 'Kemerovo','ru'=>'Кемеровская область'),
            array('en' => 'Khabarovsk','ru'=>'Хабаровский край'),
            array('en' => 'Khanty-Mansiysk','ru'=>'Ханты-Мансийский АО'),
            array('en' => 'Kostroma','ru'=>'Костромская область'),
            array('en' => 'Krasnodar','ru'=>'Краснодарский край'),
            array('en' => 'Krasnoyarsk','ru'=>'Красноярский край'),
//            array('en'=>'Kudymkar','ru'=>''),
            array('en' => 'Kurgan','ru'=>'Курганская область'),
            array('en' => 'Kursk','ru'=>'Курская область'),
            array('en' => 'Kyzyl','ru'=>'Республика Тыва'),
            array('en' => 'Lipetsk','ru'=>'Липецкая область'),
            array('en' => 'Magadan','ru'=>'Магаданская область'),
            array('en' => 'Makhachkala','ru'=>'Республика Дагестан'),
            array('en' => 'Maykop','ru'=>'Республика Адыгея'),
            array('en' => 'Moscow','ru'=>'Московская область'),
            array('en' => 'Murmansk','ru'=>'Мурманская область'),
            array('en' => 'Nalchik','ru'=>'Кабардино-Балкарская'),
            array('en' => 'Naryan Mar','ru'=>'Ненецкий АО'),
            array('en' => 'Nazran','ru'=>'Республика Ингушетия'),
            array('en' => 'Nizhniy Novgorod','ru'=>'Нижегородская область'),
            array('en' => 'Novgorod','ru'=>'Новгородская область'),
            array('en' => 'Novosibirsk','ru'=>'Новосибирская область'),
            array('en' => 'Omsk','ru'=>'Омская область'),
            array('en' => 'Orel','ru'=>'Орловская область'),
            array('en' => 'Orenburg','ru'=>'Оренбургская область'),
//            array('en'=>'Palana','ru'=>''),
            array('en' => 'Penza','ru'=>'Пензенская область'),
            array('en' => 'Perm','ru'=>'Пермский край'),
            array('en' => 'Petropavlovsk-Kamchatskiy','ru'=>'Камчатский край'),
            array('en' => 'Petrozavodsk','ru'=>'Республика Карелия'),
            array('en' => 'Pskov','ru'=>'Псковская область'),
            array('en' => 'Rostov-na-Donu','ru'=>'Ростовская область'),
            array('en' => 'Ryazan','ru'=>'Рязанская область'),
            array('en' => 'Salekhard','ru'=>'Ямало-Ненецкий АО'),
            array('en' => 'Samara','ru'=>'Самарская область'),
            array('en' => 'Saransk','ru'=>'Республика Мордовия'),
            array('en' => 'Saratov','ru'=>'Саратовская область'),
            array('en' => 'Smolensk','ru'=>'Смоленская область'),
            array('en' => 'St. Petersburg','ru'=>'Ленинградская область'),
            array('en' => 'Stavropol','ru'=>'Ставропольский край'),
            array('en' => 'Syktyvkar','ru'=>'Республика Коми'),
            array('en' => 'Tambov','ru'=>'Тамбовская область'),
            array('en' => 'Tomsk','ru'=>'Томская область'),
            array('en' => 'Tula','ru'=>'Тульская область'),
//            array('en'=>'Tura','ru'=>''),
            array('en' => 'Tver','ru'=>'Тверская область'),
            array('en' => 'Tyumen','ru'=>'Тюменская область'),
            array('en' => 'Ufa','ru'=>'Республика Башкортостан'),
            array('en' => "Ul'yanovsk",'ru'=>'Ульяновская область'),
            array('en' => 'Ulan-Ude','ru'=>'Республика Бурятия'),
//            array('en'=>"Ust'-Ordynskiy",'ru'=>''),
            array('en' => 'Vladikavkaz','ru'=>'Республика Северная Осетия-Алания'),
            array('en' => 'Vladimir','ru'=>'Владимирская область'),
            array('en' => 'Vladivostok','ru'=>'Приморский край'),
            array('en' => 'Volgograd','ru'=>'Волгоградская область'),
            array('en' => 'Vologda','ru'=>'Вологодская область'),
            array('en' => 'Voronezh','ru'=>'Воронежская область'),
//            array('en'=>'Vyatka','ru'=>''),
            array('en' => 'Yakutsk','ru'=>'Республика Саха'),
            array('en' => 'Yaroslavl','ru'=>'Ярославская область'),
            array('en' => 'Yekaterinburg','ru'=>'Свердловская область'),
            array('en' => 'Yoshkar-Ola','ru'=>'Республика Марий Эл'),
        ),
        // Пропущена
        // - Херсонская область
        220=>array(
            array('en' => 'Cherkasy','ru'=>'Черкасская'),
            array('en' => 'Chernihiv','ru'=>'Черниговская'),
            array('en' => 'Chernivtsi','ru'=>'Черновецкая'),
            array('en' => 'Crimea','ru'=>'АР Крым'),
            array('en' => "Dnipropetrovs'k",'ru'=>'Днепропетровская'),
            array('en' => "Donets'k",'ru'=>'Донецкая'),
            array('en' => "Ivano-Frankivs'k",'ru'=>'Ивано-Франковская'),
            array('en' => 'Kharkiv Kherson','ru'=>'Харьковская'),
            array('en' => "Khmel'nyts'kyy",'ru'=>'Хмельницкая'),
            array('en' => 'Kirovohrad','ru'=>'Кировоградская'),
            array('en' => 'Kiev','ru'=>'г.Киев'),
            array('en' => 'Kyyiv','ru'=>'Киевская'),
            array('en' => "Luhans'k",'ru'=>'Луганская'),
            array('en' => "L'viv",'ru'=>'Львовская'),
            array('en' => 'Mykolayiv','ru'=>'Николаевская'),
            array('en' => 'Odesa','ru'=>'Одесская'),
            array('en' => 'Poltava','ru'=>'Полтавская'),
            array('en' => 'Rivne','ru'=>'Ровненская'),
            array('en' => 'Sevastopol','ru'=>'г.Севастополь'),
            array('en' => 'Sumy','ru'=>'Сумская'),
            array('en' => "Ternopil'",'ru'=>'Тернопольская'),
            array('en' => 'Vinnytsya','ru'=>'Винницкая'),
            array('en' => "Volyn'",'ru'=>'Волынская'),
            array('en' => 'Zakarpattya','ru'=>'Закарпатская'),
            array('en' => 'Zaporizhzhya','ru'=>'Запорожская'),
            array('en' => 'Zhytomyr','ru'=>'Житомирская'),
        ),
    );

    protected $unit = array(
        'length_class_description' => array(
            array(
                'en' => array('title'=>'Centimeter', 'unit' => 'cm'),
                'ru' => array('title'=>'Сантиметр', 'unit' => 'см'),
            ),
            array(
                'en' => array('title'=>'Millimeter', 'unit' => 'mm'),
                'ru' => array('title'=>'миллиметр', 'unit' => 'мм'),
            ),
            array(
                'en' => array('title'=>'Inch', 'unit' => 'in'),
                'ru' => array('title'=>'Дюйм', 'unit' => 'дм'),
            ),
        ),
        'weight_class_description' => array(
            array(
                'en' => array('title'=>'Kilogram', 'unit' => 'kg'),
                'ru' => array('title'=>'Килограмм', 'unit' => 'кг'),
            ),
            array(
                'en' => array('title'=>'Gram', 'unit' => 'g'),
                'ru' => array('title'=>'Грамм', 'unit' => 'г'),
            ),
            array(
                'en' => array('title'=>'Pound', 'unit' => 'lb'),
                'ru' => array('title'=>'Фунт', 'unit' => 'lb'),
            ),
            array(
                'en' => array('title'=>'Ounce', 'unit' => 'oz'),
                'ru' => array('title'=>'Унция', 'unit' => 'oz'),
            ),
        ),
    );

    public function translateGeo($from, $to) {
        $this->affected=0;
        $this->translateCountry($from, $to);
        $this->translateZone($from, $to);
        return $this->getAffected();
    }

    public function translateTerms() {
        $this->affected = 0;
        $this->translateDict($this->dict, 'en', 'ru');
        $this->translateUnit($this->unit, 'en', 'ru');
        return $this->getAffected();
    }

    public function getAffected() {
        return $this->affected;
    }

    protected function translateDict($data,$from,$to) {
        $sql = 'SELECT language_id FROM '.DB_PREFIX.'language WHERE code = "'.$to.'"';
        $language_id = $this->db->query($sql)->row['language_id'];
        foreach($data as $table=>$names) {
            foreach($names as $name) {
                $sql = 'UPDATE '.DB_PREFIX.$table.'
                    SET name = "'.$name[$to].'"
                    WHERE language_id = '.$language_id.' AND trim(name) = "'.$name[$from].'"';
                $this->db->query($sql);
                $this->affected += $this->db->countAffected();
            }
        }
    }


    protected function translateUnit($data,$from,$to) {
        $sql = 'SELECT language_id FROM '.DB_PREFIX.'language WHERE code = "'.$to.'"';
        $language_id = $this->db->query($sql)->row['language_id'];
        foreach($data as $table=>$names) {
            foreach($names as $name) {
                $sql = 'UPDATE '.DB_PREFIX.$table.' SET
                    title = "'.$name[$to]['title'].'",
                    unit = "'.$name[$to]['unit'].'"
                WHERE language_id = '.$language_id.'
                    AND trim(title) = "'.$name[$from]['title'].'"
                    AND trim(unit) = "'.$name[$from]['unit'].'"';
                $this->db->query($sql);
                $this->affected += $this->db->countAffected();
            }
        }
    }

    protected function translateCountry($from, $to) {
        foreach($this->country as $name) {
            $sql = 'UPDATE '.DB_PREFIX.'country
                SET name = "'.$name[$to].'"
                WHERE trim(name) = "'.$name[$from].'"';
            $this->db->query($sql);
            $this->affected += $this->db->countAffected();
        }
    }

    protected function translateZone($from, $to) {
        foreach($this->zone as $country_id=>$names) {
            foreach($names as $name) {
                $sql = 'UPDATE '.DB_PREFIX.'zone
                    SET name = "'.$name[$to].'"
                    WHERE trim(name) = "'.$name[$from].'" AND country_id='.$country_id;
                $this->db->query($sql);
                $this->affected += $this->db->countAffected();
            }
        }
    }

}
