<?php
################################################################################################
# Russian Language Installer
# Module for install and configure Russian language
# Copyright (c) 2014 Sergey Ogarkov <sogarkov@gmail.com>
# GNU GPL v.3
################################################################################################
?>
<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-category" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>

  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-translate" class="form-horizontal">
          <div class="form-group">
            <label class="col-sm-4 control-label"><?php echo $column_geo_description; ?><span data-toggle="tooltip" title="<?php echo $help_geo; ?>"></span></label>
            <div class="col-sm-2">
              <button type="button" id="geo_ru_en" class="btn btn-primary"><?php echo $button_en_ru?></button>
            </div>
            <div class="col-sm-2">
              <button type="button" id="geo_en_ru" class="btn btn-default" data-toggle="tooltip"><?php echo $button_ru_en?></button>
              <label class="control-label"><span data-toggle="tooltip" title="<?php echo $help_geo_ru_en; ?>"></span></label>
            </div>
            <div class="col-sm-4" id="geo_msg" style="color:red"></div>
          </div>
          <div class="form-group">
            <label class="col-sm-4 control-label"><?php echo $column_dict_description; ?><span data-toggle="tooltip" title="<?php echo $help_dict; ?>"></span></label>
            <div class="col-sm-4">
              <button type="button" id="dict_ru_en" class="btn btn-primary"><?php echo $button_en_ru?></button>
            </div>
            <div class="col-sm-4" id="dict_msg" style="color:red"></div>
            </div>
        </form>
      </div>
    </div>
  </div>
</div>

<script type="text/javascript">
<!--
$('#geo_ru_en').click(function() {
	$.ajax({
		url: 'index.php?route=module/rbose_russian_language/translateGeo&token=<?php echo $token; ?>',
	    type: 'GET',
	    data: {from:'en', to:'ru'},
		dataType: 'html',
		beforeSend: function() {
			$('#geo_msg').html('<i class="fa fa-circle-o-notch fa-spin" style="color:black"></i>');
		},
		success: function(data) {
			$('#geo_msg').html(data);
		},
        error: function(xhr, ajaxOptions, thrownError) {
            alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
         }
});
});

$('#geo_en_ru').click(function() {
	$.ajax({
		url: 'index.php?route=module/rbose_russian_language/translateGeo&token=<?php echo $token; ?>',
	    type: 'GET',
	    data: {from:'ru', to:'en'},
		dataType: 'html',
		beforeSend: function() {
			$('#geo_msg').html('<i class="fa fa-circle-o-notch fa-spin" style="color:black"></i>');
		},
		success: function(data) {
			$('#geo_msg').html(data);
		},
        error: function(xhr, ajaxOptions, thrownError) {
            alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
        }
});
});

$('#dict_ru_en').click(function() {
	$.ajax({
		url: 'index.php?route=module/rbose_russian_language/translateTerms&token=<?php echo $token; ?>',
	    type: 'GET',
		dataType: 'html',
		beforeSend: function() {
			$('#dict_msg').html('<i class="fa fa-circle-o-notch fa-spin" style="color:black"></i>');
		},
		success: function(data) {
			$('#dict_msg').html(data);
		},
        error: function(xhr, ajaxOptions, thrownError) {
            alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
        }
});
});
//-->
</script>

<?php echo $footer; ?>